Package ru.bgcrm.dao

# Class NewsDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.NewsDAO

public class NewsDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewsDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteNews(int newsId)`
  `News`
  `getNews(int newsId)`
  `void`
  `searchNewsList(Pageable<News> searchResult, int userId, Boolean read, String text)`
  `void`
  `setNewsAllRead(int userId)`
  `void`
  `setNewsRead(int newsId, int userId, boolean value)`
  `int`
  `updateNews(News news)`
  `void`
  `updateNewsGroups(News news, Set<Integer> groupIds)`
  `void`
  `updateNewsUsers(News news, Set<Integer> userIds)`
  Отправляет новость выбранным пользователям, сбрасывает кэш новостей.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NewsDAO

    public NewsDAO(Connection con)

- ## Method Details

  - ### searchNewsList

    public void searchNewsList(Pageable<News> searchResult, int userId, Boolean read, String text) throws SQLException
    Throws:
      `SQLException`

  - ### getNews

    public News getNews(int newsId) throws SQLException
    Throws:
      `SQLException`

  - ### updateNews

    public int updateNews(News news) throws SQLException
    Throws:
      `SQLException`

  - ### updateNewsUsers

    public void updateNewsUsers(News news, Set<Integer> userIds) throws SQLException
    Отправляет новость выбранным пользователям, сбрасывает кэш новостей.
    Parameters:
      `news` -
      `userIds` -
    Throws:
      `SQLException`

  - ### updateNewsGroups

    public void updateNewsGroups(News news, Set<Integer> groupIds) throws SQLException
    Throws:
      `SQLException`

  - ### setNewsRead

    public void setNewsRead(int newsId, int userId, boolean value) throws SQLException
    Throws:
      `SQLException`

  - ### setNewsAllRead

    public void setNewsAllRead(int userId) throws SQLException
    Throws:
      `SQLException`

  - ### deleteNews

    public void deleteNews(int newsId) throws SQLException
    Throws:
      `SQLException`